function plotCurves44(musArr44, cntArr44, corArr12, corStrArr, startClick,  antClick, selectionRange, modi)

    % musArr44
    %  || sinClickArr44
    %  | clickArr12_44
    %  cntArr44 ch2
    %  cntArr44 ch1
    % Alle kurver må være sentrert i 0 og gå fra -0.5 til +0.5
    % Vindu Yakse går fra 0 (topp) til -8 (bunn) 
    
    %close;  
    
    clickArr = str2double(corStrArr(:, 1));
    clickArr12 = corArr12(:, 1);
    
    fs = 44100;
    
    endClick = startClick + antClick;
    
    if startClick == 0
        startSampl = 1;
    else
        startSampl = cl2sa(corStrArr, startClick);
    end
    startSampl = max(startSampl, 1);
    
    if startClick + antClick > size(clickArr, 1)
        endSampl = size(musArr44, 1);
    else
        endSampl = min([cl2sa(corStrArr, startClick + antClick)  size(musArr44, 1)]); 
    end  
    
    sz = get(0,'ScreenSize'); % xStart yStartFraBunn bredde høyde
    fontSise = 8;
    antKanaler = size(cntArr44, 2);
    curveCentDist = 1.2; % avstand mellom center, i plotteYdim
    curveDistOff = curveCentDist/2; % Toppen av vinduet til første center, i plotteYdim
    vindusHoyde = sz(4)/2; % I piksler basis screenHeigth
    wavAmplitude = 0.3;
    axer = [startSampl endSampl -8 0];    
    
    off = 0;
    offWav = 0.02;
    hoyWav = 2*wavAmplitude;
    offKurv = 0.02;
    hoyKurv = 2;
    offText = 0.1;
    hoyText = 0.5;
    offAgent = 0.01;
    hoyAgent = 0.4;
    
    tittel = ['pilOpp: zoomUt - - - pilNed: zoomInn - - - pilH: panH - - - pilV: panV - - - <: panV - - -  >: panH'];
    tittel = [tittel  'p: play - - - x: preview - - - X: previewSakte - - - x: previewEndaSaktere  - - - '];
    tittel = [tittel 'r: reload - - - q: quit - - - d: demo - - - D: demoSlow - - - o: run Ordive'];
    figure(1);clf;
    set(gcf, 'NumberTitle', 'off','name', tittel, 'MenuBar', 'none','position', [0 sz(4)-vindusHoyde sz(3) vindusHoyde],'color', [0.08 0.08 0.08]);
 
    %% Musikk wav
    musArr44 = wavAmplitude*(musArr44(:, 1) + musArr44(:, 2))/2; % -0.5 til 0.5
    off = offWav + hoyWav/2;
    plot([startSampl : endSampl], musArr44(startSampl : endSampl) - off, 'color', [1 0.2 0.2]);
    hold on;
    
    %% Kontroll kurver
    off = off + hoyWav/2 + offKurv + hoyKurv/2;
    line([startSampl endSampl], [-off, -off], 'color', [0.4 0.4 0.4]);
    line([startSampl endSampl], [-off+0.25, -off+0.25], 'color', [0.4 0.1 0.1]);
    line([startSampl endSampl], [-off-0.25, -off-0.25], 'color', [0.4 0.1 0.1]);
    plot([startSampl : endSampl], cntArr44(startSampl :  endSampl, 2)/2 - off, 'color', [0.6 0.6 1]);
    
    off = off + offKurv + hoyKurv/2; 
    line([startSampl endSampl], [-off, -off], 'color', [0.4 0.4 0.4]);
    line([startSampl endSampl], [-off+0.25, -off+0.25], 'color', [0.4 0.1 0.1]);
    line([startSampl endSampl], [-off-0.25, -off-0.25], 'color', [0.4 0.1 0.1]);
    plot([startSampl : endSampl], cntArr44(startSampl :  endSampl, 1)/2 - off, 'color', [0.6 0.6 1]);
    
    set(gca, 'Position', [0.03 0.03 0.95 0.95]); % venstre bunn høyre høyde
    axis tight; axis(axer); axis off;
    
    % Click linjer og nr text  
    for i = max([startClick 1]) : endClick
        samplXval = floor(fs*clickArr(i)/1000);
        line([samplXval samplXval], [-curveDistOff-curveCentDist+0.5 -curveDistOff-curveCentDist-0.5], 'color', [1 0 0]);
        line([samplXval samplXval], [-curveDistOff-curveCentDist*2+0.5 -curveDistOff-curveCentDist*2-0.5], 'color', [1 0 0]);
        text(samplXval, -1.1, num2str(i), 'color', [0.7 0.7 1], 'fontSize', fontSise); % plotte click nummer 
    end
    
    % Click12 linjer  
    for i = max([startClick 1]) - 1 : endClick
        for ii = 1 : 12
            samplXval = floor(fs*clickArr12(i*12 + ii)/1000);
            line([samplXval samplXval], [-curveDistOff-curveCentDist+0.5 -curveDistOff-curveCentDist-0.5], 'color', [0.8 0 0], 'LineStyle', ':');
            line([samplXval samplXval], [-curveDistOff-curveCentDist*2+0.5 -curveDistOff-curveCentDist*2-0.5], 'color', [0.8 0 0], 'LineStyle', ':');
        end
    end    
    
    % COR txt og agent
    oldCom2 = "";
    for i = max([startClick 0])  : endClick
        samplXval = floor(fs*clickArr(i+1)/1000);
        c = corStrArr(i+1, 3); % movX
        text(samplXval, -3.9, c, 'color', [.3 0.3 1], 'fontSize', fontSise);
        c = corStrArr(i+1, 4); % comm nivå 1
        text(samplXval, -4.2, c, 'color', [1 1 .1], 'fontSize', fontSise);
        c = corStrArr(i+1, 5); % comm nivå 2
        text(samplXval, -4.5, c, 'color', [1 0.5 .1], 'fontSize', fontSise); 
        if c ~= "" && c == oldCom2
            line([cl2sa(corStrArr, i+1) cl2sa(corStrArr, i)], [-4.8 -4.8], 'color', [0.4 0.4 0.4]); % Linje under Com2
        end
        oldCom2 = c;
        for ii = 1 : 12 % 1-9
            samplXval = floor(fs*clickArr12(i*12 + ii)/1000);
            samplXval = max([samplXval 1]);
            c1 = corArr12(i*12 + ii, 3);
            if c1 > 0
                text(samplXval, -3*curveCentDist + curveDistOff*2, num2str(c1), 'color', [1 0 0], 'fontSize', fontSise); % u d 0
                if selectionRange(1) < samplXval && samplXval < selectionRange(2) 
                    plot(samplXval, -curveDistOff-curveCentDist + cntArr44(samplXval, 2)/2, 'o', 'color', [1 1 1], 'MarkerSize',8, 'MarkerFaceColor', [1 1 1]);
                else
                    plot(samplXval, -curveDistOff-curveCentDist + cntArr44(samplXval, 2)/2, 'o', 'color', [0.7 0.7 1]);
                end
            end
            c2 = corArr12(i*12 + ii, 2);
            if c2 > 0
                text(samplXval, -4*curveCentDist + curveDistOff*2, num2str(c2), 'color', [1 0 0], 'fontSize', fontSise); % u d 0  
                if selectionRange(1) < samplXval && samplXval < selectionRange(2)
                    plot(samplXval, -curveDistOff-curveCentDist*2 + cntArr44(samplXval, 1)/2, 'o', 'color', [1 1 1], 'MarkerSize',8, 'MarkerFaceColor', [1 1 1]);
                else
                    plot(samplXval, -curveDistOff-curveCentDist*2 + cntArr44(samplXval, 1)/2, 'o', 'color', [0.7 0.7 1]);
                end
            end
            
            % agent
            if c1 > 0 || c2 > 0
                plotAgent2(cntArr44(samplXval+1, 1), cntArr44(samplXval+1, 2), samplXval);
            end
        end        
    end
    
  text(startSampl + (endSampl-startSampl)/4, -7.7, 'Select','color',[1 .8 .2], 'fontSize', fontSise);
    
end
