import tty, sys, termios
import time

filedescriptors = termios.tcgetattr(sys.stdin)
tty.setcbreak(sys.stdin)
x = 0
posRundeTeller = 0;
while 1:
  x=sys.stdin.read(1)[0]
  if x == "s":
     print('Init')
     odrv0.axis0.requested_state = AXIS_STATE_FULL_CALIBRATION_SEQUENCE
     print('Venter litt')
     time.sleep(15)
     odrv0.axis0.encoder.set_linear_count(0)
     print('Encoder pos = 0')
     odrv0.axis0.trap_traj.config.accel_limit = 2
     odrv0.axis0.trap_traj.config.vel_limit = 1
     odrv0.axis0.trap_traj.config.decel_limit = 2
     odrv0.axis0.controller.config.input_mode = INPUT_MODE_TRAP_TRAJ
     odrv0.axis0.requested_state = AXIS_STATE_CLOSED_LOOP_CONTROL
     print('Klar\n')
  if x == "1":
     posRundeTeller = posRundeTeller + 1 * (20/9) * (20/8)
     odrv0.axis0.trap_traj.config.vel_limit = 1
     odrv0.axis0.controller.input_pos = posRundeTeller     
  if x == "2":
     posRundeTeller = posRundeTeller + 1 * (20/9) * (20/8)
     odrv0.axis0.trap_traj.config.vel_limit = 6
     odrv0.axis0.controller.input_pos = posRundeTeller   
  if x == "q":
     odrv0.axis0.requested_state = AXIS_STATE_IDLE
     print('Stopper')
  if x == "r":
     odrv0.reboot()
     print('Boot')
